Package org.zkoss.zml

## Class XmlNativeComponent.XmlHelper

- java.lang.Object
- - org.zkoss.zml.XmlNativeComponent.XmlHelper

- All Implemented Interfaces:
    `Native.Helper`
  Enclosing class:
    XmlNativeComponent

      public static class XmlNativeComponent.XmlHelper
      extends java.lang.Object
      implements Native.Helper

  The HTML helper.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XmlHelper()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appendText​(java.lang.StringBuffer sb, java.lang.String text)` | Appends the text.
    `void` | `getFirstHalf​(java.lang.StringBuffer sb, java.lang.String tag, java.util.Map<java.lang.String,​java.lang.Object> props, java.util.Collection<Namespace> namespaces)` | Generates the first half of the device-dependent content for the specified tag and properties, and appends it to the specified string buffer.
    `void` | `getSecondHalf​(java.lang.StringBuffer sb, java.lang.String tag)` | Appends the first half of the device-dependent content for the specified tag and properties, and appends it to the specified string buffer.
    `Component` | `newNative​(java.lang.String text)` | Creates a native component with the specified content.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlHelper

          public XmlHelper()

  - ### Method Detail

    - #### newNative

          public Component newNative​(java.lang.String text)

      Description copied from interface: `Native.Helper`
      Creates a native component with the specified content.
      Specified by:
        `newNative` in interface `Native.Helper`

    - #### getFirstHalf

          public void getFirstHalf​(java.lang.StringBuffer sb,
                                   java.lang.String tag,
                                   java.util.Map<java.lang.String,​java.lang.Object> props,
                                   java.util.Collection<Namespace> namespaces)

      Description copied from interface: `Native.Helper`
      Generates the first half of the device-dependent content for the specified tag and properties, and appends it to the specified string buffer.

      For example, getFirstHalf(sb, "tr", null) appends "<tr>" to sb, and getFirstHalf(sb, "br", ) appends "<br/>".

      Specified by:
        `getFirstHalf` in interface `Native.Helper`
      Parameters:
        `sb` - the string buffer to append the result (never null)
        `tag` - the tag name (never null)
        `props` - a map of name and value pairs or null if no properties at all. Note: the value doesn't contain any EL expression.
        `namespaces` - a list of `Namespace` to be generated, or null if not. Note: EL expressions is not allowed

    - #### getSecondHalf

          public void getSecondHalf​(java.lang.StringBuffer sb,
                                    java.lang.String tag)

      Description copied from interface: `Native.Helper`
      Appends the first half of the device-dependent content for the specified tag and properties, and appends it to the specified string buffer.

      For example, appendSecpmdHalf(sb, "tr") appends "</tr>" to sb, and getSecondHalf(sb, "br") appends "".

      Specified by:
        `getSecondHalf` in interface `Native.Helper`
      Parameters:
        `sb` - the string buffer to append the result (never null)
        `tag` - the tag name (never null)

    - #### appendText

          public void appendText​(java.lang.StringBuffer sb,
                                 java.lang.String text)

      Description copied from interface: `Native.Helper`
      Appends the text.
      Specified by:
        `appendText` in interface `Native.Helper`
        `text` - the text content to append